VERSION 5.00
Begin VB.Form frmTOTD 
   Caption         =   "Tip of the Day"
   ClientHeight    =   2220
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2220
   ScaleWidth      =   4680
   Begin VB.CheckBox chkShowAtStartup 
      Caption         =   "Show At Startup"
      Height          =   255
      Left            =   1080
      TabIndex        =   4
      Top             =   1920
      Value           =   1  'Checked
      Width           =   1575
   End
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "Next Tip"
      Height          =   375
      Left            =   3720
      TabIndex        =   1
      Top             =   240
      Width           =   855
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "Close"
      Height          =   375
      Left            =   3720
      TabIndex        =   0
      Top             =   720
      Width           =   855
   End
   Begin VB.Label lblTip 
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1335
      Left            =   240
      TabIndex        =   3
      Top             =   480
      Width           =   3255
   End
   Begin VB.Label Label1 
      Caption         =   "Did you know that..."
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   2295
   End
End
Attribute VB_Name = "frmTOTD"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


' Load the next tip from the tip file.
Private Function NextTip() As String
Dim offset_string As Integer
Dim offset As Integer
Dim tip_text As String

    ' Read the registry to get the byte offset for
    ' the next tip in the tips file.
    offset_string = GetSetting("TipOfTheDay", _
        "Parameters", "NextOffset", "1")
    offset = CInt(offset_string)

    ' Get the tip.
    tip_text = TipAtOffset(offset)

    ' If the tip is blank, get the first tip.
    If tip_text = "" Then tip_text = TipAtOffset(1)

    NextTip = tip_text
End Function
' Load the indicated tip from the tip file.
Private Function TipAtOffset(ByVal offset As Integer) As String
Const MAX_TIP_LENGTH = 256

Dim fnum As Integer
Dim tip_buffer As String * MAX_TIP_LENGTH
Dim tip_text As String
Dim pos As Integer

    ' Open the tip file and read the next
    ' MAX_TIP_LENGTH bytes.
    fnum = FreeFile
    Open App.Path & "\tips.txt" For Binary As fnum
    Get #fnum, offset, tip_buffer
    Close fnum
    
    ' Find the end of the tip.
    tip_text = Trim$(tip_buffer)
    pos = InStr(tip_text, vbCrLf)
    If pos = 0 Then
        offset = 1
        tip_text = ""
    Else
        tip_text = Left$(tip_text, pos - 1)
        offset = offset + pos + 1
    End If
    TipAtOffset = tip_text

    ' Save the offset for the next tip.
    SaveSetting "TipOfTheDay", _
        "Parameters", "NextOffset", offset
End Function

Private Sub cmdClose_Click()
    ' Save the Show At Startup value.
    If chkShowAtStartup.Value = vbChecked Then
        SaveSetting "TipOfTheDayOptional", _
            "Parameters", "ShowTip", True
    Else
        SaveSetting "TipOfTheDayOptional", _
            "Parameters", "ShowTip", False
    End If

    Unload Me
End Sub


Private Sub cmdNextTip_Click()
    lblTip.Caption = NextTip
End Sub


Private Sub Form_Load()
    lblTip.Caption = NextTip
End Sub

